Description

Summary

This patch merges the improvements in #2748 with r3597, and also incorporates the suggested change in #2826.  To summarize:

Improvement: handles numbered lists

Improvement: original trac ticket ID is stored in custom field "TracID"

Improvement: can modify text in subversion log messages after import, primarily to fix issue numbers if they changed

Improvement: the [Image()] macro is recognized and converted.

Maintainence: wiki text code reorganized

I tested this patch on an otherwise pristine version of 0.9.3.

Patch production process

The original code improvement to the migration code happened over a year ago and the version on trunk has been edited many

times since then.  To ensure that all intermediate edits were retained, I did the following:

1. Checked out r2280 on trunk.

2. Downloaded the improvements from #2748

3. Created a patch going from r2280 -> #2748

4. Checked out HEAD (r3597)

5. Applied the above patch to head/edited bits.

6. Added the "image improvements" on #2826.

7. Created a new patch against trunk r3597 with all improvements (attached).

The final patch and the "new version" of "migrate_from_trac.rake" are attached.

Testing

This work has undergone minimal testing.  I can confirm that fixes as late as #4743/r3517 are included in the final version.  A few

images appeared in my import (where they should be) and nested lists work.

To use

Either apply the attached patch against migrate_from_trac.rake on trunk, or download my modified version.

Related issues:

Related to Redmine - Patch #5035: Migrate from trac - Errors in wiki formating New 2010-03-10

History

#1 - 2010-03-17 22:23 - Bryce Nordgren

Ugrh.  There may be a high degree of overlap between this effort and #5035.  #5035 appears to be more comprehensive in terms of wiki formatting,

but does not appear to map ticket numbers into the new system or edit the Subversion log messages that reference issues.

#2 - 2010-03-19 14:50 - Mike Stupalov

Many thanks Bryce!

See updated patch in #5035
#3 - 2010-03-20 22:49 - Bryce Nordgren

- Status changed from New to Resolved

I'm setting the status on this ticket as "resolved" due to Mike's work on #5035.

#4 - 2013-01-15 22:30 - Jan Niggemann (redmine.org team member)

Closing this, status is resolved since 400 days and more (issue was last updated more than 400 days ago)...

#5 - 2013-01-15 22:37 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

Files

migrate_from_trac-3597.patch 21.2 KB 2010-03-17 Bryce Nordgren

migrate_from_trac.rake.new 38.9 KB 2010-03-17 Bryce Nordgren
